Contacts

Delete a contact

Permanently delete a single contact by its ID. This removes the contact and all associated data including notes, reminders, and tag associations.

DELETE /v1/contacts/{contactId}

Parameters

Path parameters

contactId
string (uuid) required

Responses

200 — Successful response

Content-Type: application/json

error
boolean required
message
string required

Example

{
  "error": false,
  "message": "string"
}

400 — Request body failed validation.

Content-Type: application/json

(body)
any

401 — Missing or invalid API key.

Content-Type: application/json

(body)
any

403 — Valid key, insufficient permission.

Content-Type: application/json

(body)
any

404 — Resource does not exist.

Content-Type: application/json

(body)
any

409 — Request conflicts with the current state of the resource.

Content-Type: application/json

(body)
any

429 — Rate limit exceeded.

Content-Type: application/json

(body)
any

500 — Unexpected server error.

Content-Type: application/json

(body)
any

Code samples

curl https://api.prod.getdex.com/v1/contacts/00000000-0000-0000-0000-000000000000 \
  --request DELETE \
  --header 'Authorization: Bearer YOUR_API_KEY'
Copyright © 2026